Qt 5.7 | Qt Charts | QML Types | BarCategoryAxis QML Type

Qt 5.7.1 Reference Documentation

# BarCategoryAxis QML Type

The Axis element is used for manipulating chart's axes. More...

Import Statement: | import QtCharts 2.1
Instantiates: | QBarCategoryAxis
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- categories : QStringList
- count : int
- max : string
- min : string

## Signals

- onCountChanged()
- onMaxChanged(const QString &max)
- onMinChanged(const QString &min)

## Methods

- void clear()

## Detailed Description

Axis can be setup to show axis line with tick marks, grid lines and shades. Categories are drawn between ticks. Note that you can use this also with lineseries too.

To access BarCategoryAxis you can use ChartView API. For example:

      ChartView {
          BarCategoryAxis {
              id: categoryAxis
              categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun" ]
          }
      // Add a few series...
      }

## Property Documentation

categories : QStringList

Defines the categories of axis

count : int

The count of categories.

max : string

Defines the maximum value on the axis.

min : string

Defines the minimum value on the axis.

## Signal Documentation

onCountChanged()

Axis emits signal when the count of categories has changed.

onMaxChanged(const QString &max)

Axis emits signal when max of axis has changed.

onMinChanged(const QString &min)

Axis emits signal when min of axis has changed.

## Method Documentation

void clear()

Removes all categories. Sets the maximum and minimum of the axis's range to QString::null.